Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 254526

Summary: Provide emerge --config for www-servers/tomcat to configure it for usage in Netbeans
Product: Gentoo Linux Reporter: Petteri Räty (RETIRED) <betelgeuse>
Component: [OLD] JavaAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: normal CC: mike
Priority: High Keywords: InOverlay
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 428002    
Bug Blocks: 322979, 237562    

Description Petteri Räty (RETIRED) gentoo-dev 2009-01-11 10:37:33 UTC
It seems to require several manual steps so we could provide emerge --config as a help for users.
Comment 1 Mike Weissman 2009-01-12 22:40:24 UTC
InOverlay [java-experimental]


added emerge --config for tomcat-6, revision 7348

-weisso
Comment 2 Serkan Kaba (RETIRED) gentoo-dev 2009-01-18 06:49:08 UTC
(In reply to comment #1)
> InOverlay [java-experimental]
> 
> 
> added emerge --config for tomcat-6, revision 7348
> 
> -weisso
> 
Thanks for the work.
Comment 3 Phillip Merensky 2009-02-02 13:51:29 UTC
Maybe this is also a solution to bug 257376.
Comment 4 Mike Weissman 2009-02-02 15:43:53 UTC
(In reply to comment #3)
> Maybe this is also a solution to bug 257376.
> 

no, this is just for configuration of tomcat to work with Netbeans.

-weisso
Comment 5 Phillip Merensky 2009-02-03 13:39:40 UTC
Well you (In reply to comment #4)
> (In reply to comment #3)
> > Maybe this is also a solution to bug 257376.
> > 
> 
> no, this is just for configuration of tomcat to work with Netbeans.
> 
> -weisso
> 
You are obviously right. Sorry. I was quite in a hurry when I posted the bug report. I just meant to use the explicit --configure option for installing an initial webapp configuration of tomcat and missed the "net beans"  part at the end.

Comment 6 Miroslav Šulc gentoo-dev 2009-05-03 23:25:01 UTC
Could anyone pls update it so it can work with different netbeans slots? Atm the most current slots are 6.5 and 6.7.

There is only one important change: in netbeans 6.5 j2ee cluster is netbeans_modules_j2ee but in netbeans 6.7 it is netbeans_modules_enterprise.

Also, http://www.netbeans.org/issues/show_bug.cgi?id=156913 should be fixed now.
Comment 7 Miroslav Šulc gentoo-dev 2010-07-16 23:16:47 UTC
i recently installed tomcat and netbeans on clean gentoo so noted down all the steps i needed to make netbeans work with tomcat. the list is pretty short. i can split it to two parts: tomcat part and "netbeans" part.

tomcat part:
# NetBeans expects conf directory in Catalina home, otherwise server cannot be added
ln -s /etc/tomcat-6/ /usr/share/tomcat-6/conf
# netbeans by default attempts to create tomcat user that can manage apps, so needs write access to this file
chmod g+w /etc/tomcat-6/tomcat-users.xml

"netbeans" part:
# for running tomcat as netbeans user, it seems to be sufficient to add user to tomcat group
gpasswd -a user tomcat


imo the changes in tomcat could be done directly in the ebuild without need for any use flag, as adding write access for tomcat group to tomcat-user.xml does not seem dangerous to me and adding conf dir to catalina home does not seem dangerous to me too.

the netbeans part should imo be just about adding info after installation that to be able to run tomcat from netbeans, user must be added to tomcat group.
Comment 8 Miroslav Šulc gentoo-dev 2012-12-06 11:41:26 UTC
current versions of tomcat in tree support multiple instances and also owning of catalina base files by different user which enables easy integration of tomcat with netbeans. for more information see https://wiki.gentoo.org/wiki/Apache_Tomcat